
#ifndef MCABBER_TUNE_H
#define MCABBER_TUNE_H

/*
 * tune.h               -- Pep tune events
 *
 * Copyright (C) 2009-2012 Myhailo Danylenko <isbear@ukrpost.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <glib.h>

#define NS_TUNE        ( "http:/" "/jabber.org/protocol/tune"        )
#define NS_TUNE_NOTIFY ( "http:/" "/jabber.org/protocol/tune+notify" )

#define HOOK_TUNE_IN  ( "tune-in"  )
#define HOOK_TUNE_OUT ( "tune-out" )

#define TUNE_ERROR_NOTCONNECTED ( 0x01 )

typedef struct {
	const gchar *name;
	gchar       *value;
} tune_pair_t;

void tune_publish ( const tune_pair_t *pairs );
gboolean tune_request ( const gchar *to, GError **err );

#endif

